
Auto Multiple Choice - Bug # 786: auto-multiple-choice version 1.5.0 et OpenCV version 4.5.4 : analyse 
des copies impossible
Description: Bonjour,

Tout d'abord merci pour ce logiciel !
Suite à une mise à jour des paquets (Arch), l'analyse des copies est cassée : il semble que l'execution du 
script @/usr/lib/AMC/perl/AMC-analyse.pl@ rencontre une erreur en appelant OpenCV.
En revenant aux paquets auto-multiple-choice.1.4 et OpenCV.4.5.3 je peux à nouveau analyser les copies 
sans erreur.
Est-ce un comportement connu ? Je peux envoyer des logs ou autres s'il faut approfondir le sujet.

---

Quick english translation:
Hi,
Upon upgrade (Arch), auto-multiple-choice.1.5 and opencv.4.5.4 seem to be in conflict and the analysis is 
broken. I could get it to work again downgrading to amc.1.4 and opencv.4.5.3

History
10/21/2021 10:09 pm - Alexis Bienvenüe
> Je peux envoyer des logs ou autres s'il faut approfondir le sujet.
Le fichier de débogage obtenu en essayant l'analyse en mode débogage (depuis le menu _Aide_) pourra en effet être utile.

11/07/2021 03:20 pm - Vincent-Xavier Jumel
- File AMC-DEBUG-0j3suLkN.log added

En pièce jointe, un fichier de log pour le même problème.

Je suis sous Debian/Sid

<pre>
ii  auto-multiple-choice                             1.5.1-2                             amd64        Auto Multiple Choice - multiple choice papers management
ii  auto-multiple-choice-common                      1.5.1-2                             all          Auto Multiple Choice - architecture independent files
ii  auto-multiple-choice-doc                         1.5.1-2                             all          Auto Multiple Choice - HTML documentation
ii  libopencv-calib3d4.5:amd64                       4.5.4+dfsg-1                        amd64        computer vision Camera Calibration library
ii  libopencv-contrib4.5:amd64                       4.5.4+dfsg-1                        amd64        computer vision contrlib library
ii  libopencv-core4.5:amd64                          4.5.4+dfsg-1                        amd64        computer vision core library
ii  libopencv-dnn4.5:amd64                           4.5.4+dfsg-1                        amd64        computer vision Deep neural network module
ii  libopencv-features2d4.5:amd64                    4.5.4+dfsg-1                        amd64        computer vision Feature Detection and Descriptor Extraction 
library
ii  libopencv-flann4.5:amd64                         4.5.4+dfsg-1                        amd64        computer vision Clustering and Search in Multi-Dimensional spaces 
library
ii  libopencv-highgui4.5:amd64                       4.5.4+dfsg-1                        amd64        computer vision High-level GUI and Media I/O library
ii  libopencv-imgcodecs4.5:amd64                     4.5.4+dfsg-1                        amd64        computer vision Image Codecs library
ii  libopencv-imgproc4.5:amd64                       4.5.4+dfsg-1                        amd64        computer vision Image Processing library
ii  libopencv-ml4.5:amd64                            4.5.4+dfsg-1                        amd64        computer vision Machine Learning library
ii  libopencv-objdetect4.5:amd64                     4.5.4+dfsg-1                        amd64        computer vision Object Detection library
ii  libopencv-photo4.5:amd64                         4.5.4+dfsg-1                        amd64        computer vision computational photography library
ii  libopencv-shape4.5:amd64                         4.5.4+dfsg-1                        amd64        computer vision shape descriptors and matchers library
ii  libopencv-stitching4.5:amd64                     4.5.4+dfsg-1                        amd64        computer vision image stitching library
ii  libopencv-video4.5:amd64                         4.5.4+dfsg-1                        amd64        computer vision Video analysis library
ii  libopencv-videoio4.5:amd64                       4.5.4+dfsg-1                        amd64        computer vision Video I/O library
ii  libopencv-viz4.5:amd64                           4.5.4+dfsg-1                        amd64        computer vision 3D data visualization library
ii  opencv-data                                      4.5.4+dfsg-1                        all          development data for opencv
ii  python3-opencv                                   4.5.4+dfsg-1                        amd64        Python 3 bindings for the computer vision library

</pre>

11/07/2021 04:45 pm - Alexis Bienvenüe
Il me semble que c'est une question d'incompatibilité de l'ABI d'OpenCV.
https://bugs.debian.org/998141

11/07/2021 04:55 pm - Alexis Bienvenüe
Une recompilation depuis le paquet source devrait vous permettre de faire remarcher AMC.

05/03/2022 03:48 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
AMC-DEBUG-0j3suLkN.log 960.9 kB 11/07/2021 Vincent-Xavier Jumel
